正常运行时间监控器
GET https://uptimeset.com/api/monitors/
curl --request GET \
--url 'https://uptimeset.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在按哪个字段搜索。允许的值为:name , target。 |
| is_enabled | 可选 布尔值 | |
| type | 可选 字符串 | 允许的值:website , ping , port |
| ping_servers_ids | 可选 整数 | 允许的值:1 |
| order_by | 可选 字符串 | 按哪个字段排序结果。允许的值为:monitor_id , datetime , last_datetime , last_check_datetime , name , uptime , average_response_time。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选 整数 | 每页您想要多少个结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为25。 |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-03-04 09:26:05",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimeset.com/api/monitors?page=1",
"last": "https://uptimeset.com/api/monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptimeset.com/api/monitors?page=1"
}
}
GET https://uptimeset.com/api/monitors/{monitor_id}
curl --request GET \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-03-04 09:26:05",
}
}
POST https://uptimeset.com/api/monitors
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| target | 必需 字符串 | - |
| port | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:website, ping, port |
| project_id | 可选 整数 | - |
| ping_servers_ids | 可选 数组 | 允许的值:1 |
| check_interval_seconds | 可选 整数 | 允许的值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒钟) |
| timeout_seconds | 可选 整数 | 允许的值:1, 2, 3, 5, 10, 25 (秒钟) |
| request_method | 可选 字符串 | 允许的值:HEAD, GET, POST, PUT, PATCH |
| request_body | 可选 字符串 | - |
| request_basic_auth_username | 可选 字符串 | - |
| request_basic_auth_password | 可选 字符串 | - |
| request_header_name | 可选 数组 | - |
| request_header_value | 可选 数组 | - |
| response_status_code | 可选 整数 | - |
| response_body | 可选 字符串 | - |
| response_header_name | 可选 字符串 | - |
| response_header_value | 可选 字符串 | - |
| is_ok_notifications | 可选 数组 | 通知处理程序 ID |
| email_reports_is_enabled | 可选 布尔值 | - |
| cache_buster_is_enabled | 可选 布尔值 | - |
| verify_ssl_is_enabled | 可选 布尔值 | - |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://uptimeset.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
--url 'https://uptimeset.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
{
"data": {
"id": 1
}
}
POST https://uptimeset.com/api/monitors/{monitor_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| target | 可选 字符串 | - |
| port | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:website, ping, port |
| project_id | 可选 整数 | - |
| ping_servers_ids | 可选 数组 | 允许的值:1 |
| check_interval_seconds | 可选 整数 | 允许的值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒钟) |
| timeout_seconds | 可选 整数 | 允许的值:1, 2, 3, 5, 10, 25 (秒钟) |
| request_method | 可选 字符串 | 允许的值:HEAD, GET, POST, PUT, PATCH |
| request_body | 可选 字符串 | - |
| request_basic_auth_username | 可选 字符串 | - |
| request_basic_auth_password | 可选 字符串 | - |
| request_header_name | 可选 数组 | - |
| request_header_value | 可选 数组 | - |
| response_status_code | 可选 整数 | - |
| response_body | 可选 字符串 | - |
| response_header_name | 可选 字符串 | - |
| response_header_value | 可选 字符串 | - |
| is_ok_notifications | 可选 数组 | 通知处理程序 ID |
| email_reports_is_enabled | 可选 布尔值 | - |
| cache_buster_is_enabled | 可选 布尔值 | - |
| verify_ssl_is_enabled | 可选 布尔值 | - |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimeset.com/api/monitors/{monitor_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \